javax.media.opengl

## Interface GLOffscreenAutoDrawable

- All Superinterfaces:
    GLAutoDrawable, GLDrawable, GLSharedContextSetter, NativeSurfaceHolder
  All Known Subinterfaces:
    GLOffscreenAutoDrawable.FBO

      public interface GLOffscreenAutoDrawable
      extends GLAutoDrawable, GLSharedContextSetter

  Platform-independent `GLAutoDrawable` specialization, exposing offscreen functionality.

  This class distinguishes itself from `GLAutoDrawable` with it's `setSurfaceSize(int, int)` functionality.

  ##### OpenGL Context Sharing

  To share a `GLContext` see the following note in the documentation overview: context sharing as well as `GLSharedContextSetter`.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `GLOffscreenAutoDrawable.FBO` `FBObject` based `GLOffscreenAutoDrawable` specialization

  - ### Field Summary

    - ### Fields inherited from interface javax.media.opengl.GLAutoDrawable

      `SCREEN_CHANGE_ACTION_ENABLED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setSurfaceSize(int newWidth, int newHeight)` Resize this `GLAutoDrawable`'s surface
    `void` | `setUpstreamWidget(Object newUpstreamWidget)` Set the upstream UI toolkit object.

    - ### Methods inherited from interface javax.media.opengl.GLSharedContextSetter

      `setSharedAutoDrawable, setSharedContext`

    - ### Methods inherited from interface javax.media.opengl.GLAutoDrawable

      `addGLEventListener, addGLEventListener, areAllGLEventListenerInitialized, createContext, destroy, display, disposeGLEventListener, flushGLRunnables, getAnimator, getAutoSwapBufferMode, getContext, getContextCreationFlags, getDelegatedDrawable, getExclusiveContextThread, getGL, getGLEventListener, getGLEventListenerCount, getGLEventListenerInitState, getUpstreamLock, getUpstreamWidget, invoke, invoke, isThreadGLCapable, removeGLEventListener, setAnimator, setAutoSwapBufferMode, setContext, setContextCreationFlags, setExclusiveContextThread, setGL, setGLEventListenerInitState`

    - ### Methods inherited from interface javax.media.opengl.GLDrawable

      `getChosenGLCapabilities, getFactory, getGLProfile, getHandle, getNativeSurface, getRequestedGLCapabilities, getSurfaceHeight, getSurfaceWidth, isGLOriented, isRealized, setRealized, swapBuffers, toString`

- - ### Method Detail

    - #### setSurfaceSize

          void setSurfaceSize(int newWidth,
                            int newHeight)
                              throws NativeWindowException,
                                     GLException

      Resize this `GLAutoDrawable`'s surface
      Parameters:
        `newWidth` - new width in pixel units
        `newHeight` - new height in pixel units
      Throws:
        `NativeWindowException` - in case the surface could no be locked
        `GLException` - in case of an error during the resize operation

    - #### setUpstreamWidget

          void setUpstreamWidget(Object newUpstreamWidget)

      Set the upstream UI toolkit object.
      See Also:
        `GLAutoDrawable.getUpstreamWidget()`

Copyright 2010 JogAmp Community.